[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: error compiling openldap 2.2.8 on Solaris 8 using gcc 3.3

--On Thursday, April 01, 2004 10:58 AM -0500 Ziying Sherwin <sherwin@nlm.nih.gov> wrote:

Thanks so much for the help. We finally got openldap2.2.8 compiled on
Solaris 2.8 using gcc 3.3 and berkeley db 4.2.52.NC. The configuration
options we used are:

   ./configure --prefix=/usr/local/openLDAP_2.2.8 \
                --with-ldbm-api=berkeley \
                --enable-bdb \
                --enable-wrappers \

I never do the make test tests. ;) I've seen to much traffic about them not working. I do my own tests instead to verify that slapd is working correctly.

Again, I would remove the '--with-ldbm-api=berkeley' flag, and not use ldbm as a backend at all.


Quanah Gibson-Mount
Principal Software Developer
ITSS/TSS/Computing Systems
ITSS/TSS/Infrastructure Operations
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html